﻿import matplotlib.pyplot as plt
import math

liste_z = []    # liste qui contient les valeurs de l'altitude z
liste_v = []    # liste qui contient les valeurs de la vitesse
liste_t = []    # liste qui contient les valeurs de la date t
liste_Ec = []   # liste qui contient les valeurs de l'énergie cinétique'
liste_Epp=[]    # liste qui contient les valeurs de l'énergie potentielle de pesanteur
liste_Em = []   # liste qui contient les valeurs de l'énergie mécanique

# Valeur des constantes :
# =======================
m = 0.680           # masse en kg
g = 9.81            # champ de pesanteur en m/s²
# k = ...  coefficient de frottement N.s²/m²

# Conditions initiales : 
# ======================
vz = 5
z = 0
t = 0
Dt = 0.001

# Remplissage de listes
# =====================
while vz >= 0 :  
    # Fz = ...  coordonnée verticale de la résultante des forces
    az = Fz/m
    vz = vz + az * Dt
    z = z + vz * Dt
    # Calcul des énergies :
    # Ec = ...   énergie cinétique
    # Epp =...   énergie potentielle de pesanteur
    # Em = ...   énergie mécanique
    
    # Ajout des valeurs calculées aux listes :
    liste_t.append (t)
    liste_z.append (z)
    liste_v.append (vz)
    liste_Ec.append (Ec)
    liste_Epp.append (Epp)
    liste_Em.append (Em)

    t = t + Dt

# Tracé des graphiques dans trois fenêtres
# ========================================

fig=plt.figure(figsize=(16,9))
fig.patch.set_facecolor([0.8,0.8,0.8])

# z(t) dans la fenêtre en haut à gauche
ax = fig.add_subplot(221)
ax.patch.set_facecolor([0.25,0.25,0.25])

plt.plot(liste_t,liste_z,'-',color='hotpink',label='z(t)')
plt.title("Evolution temporelle de l'altitude")
plt.xlabel("temps (s)")
plt.ylabel("z (m)")

plt.legend()
plt.grid()

# v(t) dans la fenêtre en bas à gauche
ax = fig.add_subplot(223)
ax.patch.set_facecolor([0.25,0.25,0.25])

plt.plot(liste_t,liste_v,'-',color='darkturquoise',label='v(t)')
plt.title("Evolution temporelle de la vitesse")
plt.xlabel("temps (s)")
plt.ylabel("v (m/s)")

plt.legend()
plt.grid()

# Ec, Epp et Em(t) dans la fenêtre de droite
ax = fig.add_subplot(122)
ax.patch.set_facecolor([0.25,0.25,0.25])

plt.plot(liste_t,liste_Ec,'-',color='orange',label='Ec(t)')
plt.plot(liste_t,liste_Epp,'-',color='tan',label='Epp(t)')
plt.plot(liste_t,liste_Em,'-',color='yellow',label='Em(t)')
plt.title("Evolution temporelle des énergies")
plt.xlabel("temps (s)")
plt.ylabel("Ec, Epp et Em (J)")

plt.legend()
plt.grid()

plt.show()






